/**
 * Copyright (c) IBM Japan 2013. All rights reserved.
 */
package net.dependableos.dcase.toolchain.rhapsodyextension.jaxb.diagram;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.eclipse.gmf.runtime._1_0_2.notation package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class DiagramObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.eclipse.gmf.runtime._1_0_2.notation
     * 
     */
    public DiagramObjectFactory() {
    }

    /**
     * Create an instance of {@link Diagram }
     * 
     */
    public Diagram createDiagram() {
        return new Diagram();
    }

    /**
     * Create an instance of {@link Edges }
     * 
     */
    public Edges createEdges() {
        return new Edges();
    }

    /**
     * Create an instance of {@link Bendpoints }
     * 
     */
    public Bendpoints createBendpoints() {
        return new Bendpoints();
    }

    /**
     * Create an instance of {@link TargetAnchor }
     * 
     */
    public TargetAnchor createTargetAnchor() {
        return new TargetAnchor();
    }

    /**
     * Create an instance of {@link LayoutConstraint }
     * 
     */
    public LayoutConstraint createLayoutConstraint() {
        return new LayoutConstraint();
    }

    /**
     * Create an instance of {@link Styles }
     * 
     */
    public Styles createStyles() {
        return new Styles();
    }

    /**
     * Create an instance of {@link Element }
     * 
     */
    public Element createElement() {
        return new Element();
    }

    /**
     * Create an instance of {@link Children }
     * 
     */
    public Children createChildren() {
        return new Children();
    }

    /**
     * Create an instance of {@link SourceAnchor }
     * 
     */
    public SourceAnchor createSourceAnchor() {
        return new SourceAnchor();
    }

}
