/**
 * Copyright (c) IBM Japan 2013. All rights reserved.
 */
package net.dependableos.dcase.toolchain.rhapsodyextension.jaxb.diagram;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{}children"/>
 *         &lt;element ref="{}styles"/>
 *         &lt;element ref="{}element"/>
 *         &lt;element ref="{}bendpoints"/>
 *         &lt;element ref="{}sourceAnchor" minOccurs="0"/>
 *         &lt;element ref="{}targetAnchor" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="lineColor" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *       &lt;attribute name="source" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="target" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="type" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
 *       &lt;attribute name="xmi_id" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *       &lt;attribute name="xmi_type" use="required" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "children",
    "styles",
    "element",
    "bendpoints",
    "sourceAnchor",
    "targetAnchor"
})
@XmlRootElement(name = "edges")
public class Edges {

    @XmlElement(required = true)
    protected Children children;
    @XmlElement(required = true)
    protected Styles styles;
    @XmlElement(required = true)
    protected Element element;
    @XmlElement(required = true)
    protected Bendpoints bendpoints;
    protected SourceAnchor sourceAnchor;
    protected TargetAnchor targetAnchor;
    @XmlAttribute(required = true)
    protected BigInteger lineColor;
    @XmlAttribute(required = true)
    protected String source;
    @XmlAttribute(required = true)
    protected String target;
    @XmlAttribute(required = true)
    protected BigInteger type;
    @XmlAttribute(name = "id", required = true, namespace="http://www.omg.org/XMI")
    @XmlSchemaType(name = "anySimpleType")
    protected String xmiId;
    @XmlAttribute(name = "type", required = true, namespace="http://www.omg.org/XMI")
    @XmlSchemaType(name = "anySimpleType")
    protected String xmiType;

    /**
     * Gets the value of the children property.
     * 
     * @return
     *     possible object is
     *     {@link Children }
     *     
     */
    public Children getChildren() {
        return children;
    }

    /**
     * Sets the value of the children property.
     * 
     * @param value
     *     allowed object is
     *     {@link Children }
     *     
     */
    public void setChildren(Children value) {
        this.children = value;
    }

    /**
     * Gets the value of the styles property.
     * 
     * @return
     *     possible object is
     *     {@link Styles }
     *     
     */
    public Styles getStyles() {
       return styles;
    }

    /**
     * Sets the value of the styles property.
     * 
     * @param value
     *     allowed object is
     *     {@link Styles }
     *     
     */
    public void setStyles(Styles value) {
        this.styles = value;
    }

    /**
     * Gets the value of the element property.
     * 
     * @return
     *     possible object is
     *     {@link Element }
     *     
     */
    public Element getElement() {
        return element;
    }

    /**
     * Sets the value of the element property.
     * 
     * @param value
     *     allowed object is
     *     {@link Element }
     *     
     */
    public void setElement(Element value) {
        this.element = value;
    }

    /**
     * Gets the value of the bendpoints property.
     * 
     * @return
     *     possible object is
     *     {@link Bendpoints }
     *     
     */
    public Bendpoints getBendpoints() {
        return bendpoints;
    }

    /**
     * Sets the value of the bendpoints property.
     * 
     * @param value
     *     allowed object is
     *     {@link Bendpoints }
     *     
     */
    public void setBendpoints(Bendpoints value) {
        this.bendpoints = value;
    }

    /**
     * Gets the value of the sourceAnchor property.
     * 
     * @return
     *     possible object is
     *     {@link SourceAnchor }
     *     
     */
    public SourceAnchor getSourceAnchor() {
        return sourceAnchor;
    }

    /**
     * Sets the value of the sourceAnchor property.
     * 
     * @param value
     *     allowed object is
     *     {@link SourceAnchor }
     *     
     */
    public void setSourceAnchor(SourceAnchor value) {
        this.sourceAnchor = value;
    }

    /**
     * Gets the value of the targetAnchor property.
     * 
     * @return
     *     possible object is
     *     {@link TargetAnchor }
     *     
     */
    public TargetAnchor getTargetAnchor() {
        return targetAnchor;
    }

    /**
     * Sets the value of the targetAnchor property.
     * 
     * @param value
     *     allowed object is
     *     {@link TargetAnchor }
     *     
     */
    public void setTargetAnchor(TargetAnchor value) {
        this.targetAnchor = value;
    }

    /**
     * Gets the value of the lineColor property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getLineColor() {
        return lineColor;
    }

    /**
     * Sets the value of the lineColor property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setLineColor(BigInteger value) {
        this.lineColor = value;
    }

    /**
     * Gets the value of the source property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSource() {
        return source;
    }

    /**
     * Sets the value of the source property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSource(String value) {
        this.source = value;
    }

    /**
     * Gets the value of the target property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTarget() {
        return target;
    }

    /**
     * Sets the value of the target property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTarget(String value) {
        this.target = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setType(BigInteger value) {
        this.type = value;
    }

    /**
     * Gets the value of the xmiId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getXmiId() {
        return xmiId;
    }

    /**
     * Sets the value of the xmiId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setXmiId(String value) {
        this.xmiId = value;
    }

    /**
     * Gets the value of the xmiType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getXmiType() {
        return xmiType;
    }

    /**
     * Sets the value of the xmiType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setXmiType(String value) {
        this.xmiType = value;
    }

}
