/**
 * Copyright (c) IBM Japan 2013. All rights reserved.
 */
package net.dependableos.dcase.toolchain.rhapsodyextension.jaxb.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema-instance}anyType">
 *       &lt;sequence>
 *         &lt;element name="rootBasicNode" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema-instance}anyType">
 *                 &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="desc" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="score" type="{http://www.w3.org/2001/XMLSchema-instance}float" />
 *                 &lt;attribute name="weight" type="{http://www.w3.org/2001/XMLSchema-instance}integer" />
 *                 &lt;attribute name="attachment" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="status" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef002" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef005" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef003" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="stakeholder" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="riskAnalysis" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef015" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="isNormal" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef009" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="nodeLink" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="rootBasicLink" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema-instance}anyType">
 *                 &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="source" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="target" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="desc" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef011" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef012" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef016" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef001" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef003" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *                 &lt;attribute name="userdef013" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="xsi" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *       &lt;attribute name="dcase" type="{http://www.dependable-os.net/2010/03/dcase/}string" />
 *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *       &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *       &lt;attribute name="desc" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *       &lt;attribute name="attachment" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *       &lt;attribute name="userdef013" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *       &lt;attribute name="userdef015" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *       &lt;attribute name="userdef016" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "rootBasicNode", "rootBasicLink" })
@XmlRootElement(name = "Argument", namespace="http://www.dependable-os.net/2010/03/dcase/")
public class Argument {

    @XmlElement(required = true, namespace="")
    protected List<Argument.RootBasicNode> rootBasicNode;
	@XmlElement(required = true, namespace="")
    protected List<Argument.RootBasicLink> rootBasicLink;
	
    @XmlAttribute
    protected String id;
    

    /**
     * Gets the value of the rootBasicNode property.
     *
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rootBasicNode property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRootBasicNode().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Argument.RootBasicNode }
     *
     *
     */
    public List<Argument.RootBasicNode> getRootBasicNode() {
        if (rootBasicNode == null) {
            rootBasicNode = new ArrayList<Argument.RootBasicNode>();
        }
        return this.rootBasicNode;
    }
    
    /**
     * Sets the value of the rootBasicNode property.
     * @param rootBasicNode rootBasicNode property
     */
    public void setRootBasicNode(List<Argument.RootBasicNode> rootBasicNode) {
		this.rootBasicNode = rootBasicNode;
	}

    /**
     * Gets the value of the rootBasicLink property.
     *
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the rootBasicLink property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRootBasicLink().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Argument.RootBasicLink }
     *
     *
     */
    public List<Argument.RootBasicLink> getRootBasicLink() {
        if (rootBasicLink == null) {
            rootBasicLink = new ArrayList<Argument.RootBasicLink>();
        }
        return this.rootBasicLink;
    }
    
    /**
     * Sets the value of the rootBasicLink property.
     * @param rootBasicLink rootBasicLink property
     */
	public void setRootBasicLink(List<Argument.RootBasicLink> rootBasicLink) {
		this.rootBasicLink = rootBasicLink;
	}

    /**
     * Gets the value of the id property.
     *
     * @return
     *     possible object is
     *     {@link String }
     *
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     *
     * @param value
     *     allowed object is
     *     {@link String }
     *
     */
    public void setId(String value) {
        this.id = value;
    }

   


    /**
     * <p>Java class for anonymous complex type.
     *
     * <p>The following schema fragment specifies the expected content contained within this class.
     *
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema-instance}anyType">
     *       &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="source" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="target" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="desc" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef011" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef012" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef016" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef001" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef003" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef013" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     *
     *
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class RootBasicLink {

        @XmlAttribute(namespace="http://www.w3.org/2001/XMLSchema-instance")
        protected String type;
        @XmlAttribute
        protected String id;
        @XmlAttribute
        protected String source;
        @XmlAttribute
        protected String target;
        
        @XmlAttribute
        protected String name;
        @XmlAttribute
        protected String desc;
        @XmlAttribute
        protected String attachment;
        @XmlAttribute
        protected String status;
        @XmlAttribute
        protected String userdef001;
        @XmlAttribute
        protected String userdef002;
        @XmlAttribute
        protected String userdef003;
        @XmlAttribute
        protected String userdef004;
        @XmlAttribute
        protected String userdef005;
        @XmlAttribute
        protected String userdef006;
        @XmlAttribute
        protected String userdef007;
        @XmlAttribute
        protected String userdef008;
        @XmlAttribute
        protected String userdef009;
        @XmlAttribute
        protected String userdef010;
        @XmlAttribute
        protected String userdef011;
        @XmlAttribute
        protected String userdef012;
        @XmlAttribute
        protected String userdef013;
        @XmlAttribute
        protected String userdef014;
        @XmlAttribute
        protected String userdef015;
        @XmlAttribute
        protected String userdef016;

        /**
         * Gets the value of the type property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setType(String value) {
            this.type = value;
        }

        /**
         * Gets the value of the id property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getId() {
            return id;
        }

        /**
         * Sets the value of the id property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setId(String value) {
            this.id = value;
        }

        /**
         * Gets the value of the source property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getSource() {
            return source;
        }

        /**
         * Sets the value of the source property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setSource(String value) {
            this.source = value;
        }

        /**
         * Gets the value of the target property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getTarget() {
            return target;
        }

        /**
         * Sets the value of the target property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setTarget(String value) {
            this.target = value;
        }
        
        /**
         * Gets the value of the name property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setName(String value) {
            this.name = value;
        }

        /**
         * Gets the value of the desc property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getDesc() {
            return desc;
        }

        /**
         * Sets the value of the desc property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setDesc(String value) {
            this.desc = value;
        }

        /**
         * Gets the value of the attachment property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getAttachment() {
            return attachment;
        }

        /**
         * Sets the value of the attachment property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setAttachment(String value) {
            this.attachment = value;
        }

        /**
         * Gets the value of the status property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getStatus() {
            return status;
        }

        /**
         * Sets the value of the status property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setStatus(String value) {
            this.status = value;
        }

        /**
         * Gets the value of the userdef001 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef001() {
            return userdef001;
        }

        /**
         * Sets the value of the userdef001 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef001(String value) {
            this.userdef001 = value;
        }

        /**
         * Gets the value of the userdef002 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef002() {
            return userdef002;
        }

        /**
         * Sets the value of the userdef002 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef002(String value) {
            this.userdef002 = value;
        }

        /**
         * Gets the value of the userdef003 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef003() {
            return userdef003;
        }

        /**
         * Sets the value of the userdef003 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef003(String value) {
            this.userdef003 = value;
        }

        /**
         * Gets the value of the userdef004 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef004() {
            return userdef004;
        }

        /**
         * Sets the value of the userdef004 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef004(String value) {
            this.userdef004 = value;
        }

        /**
         * Gets the value of the userdef005 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef005() {
            return userdef005;
        }

        /**
         * Sets the value of the userdef005 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef005(String value) {
            this.userdef005 = value;
        }

        /**
         * Gets the value of the userdef006 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef006() {
            return userdef006;
        }

        /**
         * Sets the value of the userdef006 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef006(String value) {
            this.userdef006 = value;
        }

        /**
         * Gets the value of the userdef007 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef007() {
            return userdef007;
        }

        /**
         * Sets the value of the userdef007 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef007(String value) {
            this.userdef007 = value;
        }

        /**
         * Gets the value of the userdef008 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef008() {
            return userdef008;
        }

        /**
         * Sets the value of the userdef008 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef008(String value) {
            this.userdef008 = value;
        }

        /**
         * Gets the value of the userdef009 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef009() {
            return userdef009;
        }

        /**
         * Sets the value of the userdef009 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef009(String value) {
            this.userdef009 = value;
        }

        /**
         * Gets the value of the userdef010 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef010() {
            return userdef010;
        }

        /**
         * Sets the value of the userdef010 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef010(String value) {
            this.userdef010 = value;
        }

        /**
         * Gets the value of the userdef011 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef011() {
            return userdef011;
        }

        /**
         * Sets the value of the userdef011 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef011(String value) {
            this.userdef011 = value;
        }

        /**
         * Gets the value of the userdef012 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef012() {
            return userdef012;
        }

        /**
         * Sets the value of the userdef012 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef012(String value) {
            this.userdef012 = value;
        }

        /**
         * Gets the value of the userdef013 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef013() {
            return userdef013;
        }

        /**
         * Sets the value of the userdef013 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef013(String value) {
            this.userdef013 = value;
        }
        
        /**
         * Gets the value of the userdef014 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef014() {
            return userdef014;
        }

        /**
         * Sets the value of the userdef014 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef014(String value) {
            this.userdef014 = value;
        }

        /**
         * Gets the value of the userdef015 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef015() {
            return userdef015;
        }

        /**
         * Sets the value of the userdef015 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef015(String value) {
            this.userdef015 = value;
        }

        /**
         * Gets the value of the userdef016 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef016() {
            return userdef016;
        }

        /**
         * Sets the value of the userdef016 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef016(String value) {
            this.userdef016 = value;
        }
        

    }


    /**
     * <p>Java class for anonymous complex type.
     *
     * <p>The following schema fragment specifies the expected content contained within this class.
     *
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema-instance}anyType">
     *       &lt;attribute name="type" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="id" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="desc" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="score" type="{http://www.w3.org/2001/XMLSchema-instance}float" />
     *       &lt;attribute name="weight" type="{http://www.w3.org/2001/XMLSchema-instance}integer" />
     *       &lt;attribute name="attachment" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="status" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef002" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef005" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef003" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="stakeholder" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="riskAnalysis" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef015" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="isNormal" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="userdef009" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *       &lt;attribute name="nodeLink" type="{http://www.w3.org/2001/XMLSchema-instance}string" />
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     *
     *
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class RootBasicNode {

        @XmlAttribute(namespace="http://www.w3.org/2001/XMLSchema-instance")
        protected String type;
        @XmlAttribute
        protected String id;
        
        @XmlAttribute
        protected String name;
        @XmlAttribute
        protected String desc;
        @XmlAttribute
        protected String attachment;
        @XmlAttribute
        protected String status;
        @XmlAttribute
        protected String userdef001;
        @XmlAttribute
        protected String userdef002;
        @XmlAttribute
        protected String userdef003;
        @XmlAttribute
        protected String userdef004;
        @XmlAttribute
        protected String userdef005;
        @XmlAttribute
        protected String userdef006;
        @XmlAttribute
        protected String userdef007;
        @XmlAttribute
        protected String userdef008;
        @XmlAttribute
        protected String userdef009;
        @XmlAttribute
        protected String userdef010;
        @XmlAttribute
        protected String userdef011;
        @XmlAttribute
        protected String userdef012;
        @XmlAttribute
        protected String userdef013;
        @XmlAttribute
        protected String userdef014;
        @XmlAttribute
        protected String userdef015;
        @XmlAttribute
        protected String userdef016;
        @XmlAttribute
        protected String score;
        @XmlAttribute
        protected String weight;
        @XmlAttribute
        protected String nodeLink;
        @XmlAttribute
        protected String isNormal;
        @XmlAttribute
        protected String stakeholder;
        @XmlAttribute
        protected String riskAnalysis;

        /**
         * Gets the value of the type property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getType() {
            return type;
        }

        /**
         * Sets the value of the type property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setType(String value) {
            this.type = value;
        }

        /**
         * Gets the value of the id property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getId() {
            return id;
        }

        /**
         * Sets the value of the id property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setId(String value) {
            this.id = value;
        }
        
        /**
         * Gets the value of the name property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setName(String value) {
            this.name = value;
        }

        /**
         * Gets the value of the desc property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getDesc() {
            return desc;
        }

        /**
         * Sets the value of the desc property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setDesc(String value) {
            this.desc = value;
        }

        /**
         * Gets the value of the attachment property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getAttachment() {
            return attachment;
        }

        /**
         * Sets the value of the attachment property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setAttachment(String value) {
            this.attachment = value;
        }

        /**
         * Gets the value of the status property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getStatus() {
            return status;
        }

        /**
         * Sets the value of the status property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setStatus(String value) {
            this.status = value;
        }

        /**
         * Gets the value of the userdef001 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef001() {
            return userdef001;
        }

        /**
         * Sets the value of the userdef001 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef001(String value) {
            this.userdef001 = value;
        }

        /**
         * Gets the value of the userdef002 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef002() {
            return userdef002;
        }

        /**
         * Sets the value of the userdef002 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef002(String value) {
            this.userdef002 = value;
        }

        /**
         * Gets the value of the userdef003 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef003() {
            return userdef003;
        }

        /**
         * Sets the value of the userdef003 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef003(String value) {
            this.userdef003 = value;
        }

        /**
         * Gets the value of the userdef004 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef004() {
            return userdef004;
        }

        /**
         * Sets the value of the userdef004 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef004(String value) {
            this.userdef004 = value;
        }

        /**
         * Gets the value of the userdef005 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef005() {
            return userdef005;
        }

        /**
         * Sets the value of the userdef005 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef005(String value) {
            this.userdef005 = value;
        }

        /**
         * Gets the value of the userdef006 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef006() {
            return userdef006;
        }

        /**
         * Sets the value of the userdef006 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef006(String value) {
            this.userdef006 = value;
        }

        /**
         * Gets the value of the userdef007 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef007() {
            return userdef007;
        }

        /**
         * Sets the value of the userdef007 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef007(String value) {
            this.userdef007 = value;
        }

        /**
         * Gets the value of the userdef008 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef008() {
            return userdef008;
        }

        /**
         * Sets the value of the userdef008 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef008(String value) {
            this.userdef008 = value;
        }

        /**
         * Gets the value of the userdef009 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef009() {
            return userdef009;
        }

        /**
         * Sets the value of the userdef009 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef009(String value) {
            this.userdef009 = value;
        }

        /**
         * Gets the value of the userdef010 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef010() {
            return userdef010;
        }

        /**
         * Sets the value of the userdef010 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef010(String value) {
            this.userdef010 = value;
        }

        /**
         * Gets the value of the userdef011 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef011() {
            return userdef011;
        }

        /**
         * Sets the value of the userdef011 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef011(String value) {
            this.userdef011 = value;
        }

        /**
         * Gets the value of the userdef012 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef012() {
            return userdef012;
        }

        /**
         * Sets the value of the userdef012 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef012(String value) {
            this.userdef012 = value;
        }

        /**
         * Gets the value of the userdef013 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef013() {
            return userdef013;
        }

        /**
         * Sets the value of the userdef013 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef013(String value) {
            this.userdef013 = value;
        }

        /**
         * Gets the value of the userdef014 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef014() {
            return userdef014;
        }

        /**
         * Sets the value of the userdef014 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef014(String value) {
            this.userdef014 = value;
        }

        /**
         * Gets the value of the userdef015 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef015() {
            return userdef015;
        }

        /**
         * Sets the value of the userdef015 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef015(String value) {
            this.userdef015 = value;
        }

        /**
         * Gets the value of the userdef016 property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getUserdef016() {
            return userdef016;
        }

        /**
         * Sets the value of the userdef016 property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setUserdef016(String value) {
            this.userdef016 = value;
        }
        
        /**
         * Gets the value of the score property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getScore() {
            return score;
        }
        
        /**
         * Sets the value of the score property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setScore(String value) {
            this.score = value;
        }
        
        /**
         * Gets the value of the weight property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getWeight() {
            return weight;
        }
        
        /**
         * Sets the value of the weight property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setWeight(String value) {
            this.weight = value;
        }
        
        /**
         * Gets the value of the nodeLink property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getNodeLink() {
            return nodeLink;
        }
        
        /**
         * Sets the value of the nodeLink property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setNodeLink(String value) {
            this.nodeLink = value;
        }
        
        /**
         * Gets the value of the isNormal property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getIsNormal() {
            return isNormal;
        }
        
        /**
         * Sets the value of the isNormal property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setIsNormal(String value) {
            this.isNormal = value;
        }
        
        /**
         * Gets the value of the stakeholder property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getStakeholder() {
            return stakeholder;
        }
        
        /**
         * Sets the value of the stakeholder property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setStakeholder(String value) {
            this.stakeholder = value;
        }
        
        /**
         * Gets the value of the riskAnalysis property.
         *
         * @return
         *     possible object is
         *     {@link String }
         *
         */
        public String getRiskAnalysis() {
            return riskAnalysis;
        }
        
        /**
         * Sets the value of the riskAnalysis property.
         *
         * @param value
         *     allowed object is
         *     {@link String }
         *
         */
        public void setRiskAnalysis(String value) {
            this.riskAnalysis = value;
        }

    }
    
    /**
     * Add the rootBasicNode.
     * @param rbn the rootBasicNode
     */
    public void addRootBasicNode(RootBasicNode rbn){
    	this.getRootBasicNode().add(rbn);
    }
    
    /**
     * Add the rootBasicLink.
     * @param rbl the rootBasicLink
     */
    public void addRootBasicLink(RootBasicLink rbl){
    	this.getRootBasicLink().add(rbl);
    }
}
